package com.ekexiu.project.bridge.system.dao;

import com.ekexiu.project.bridge.resource.po.CollectDevice;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/8/8.
 */
@DAO
public interface CollectDeviceDao {

    @Insert
    int insert(Connection con, CollectDevice collectDevice) throws SQLException;

    @UpdateWith
    @From(CollectDevice.class)
    @SetSentence("active = '0'")
    int logicDelete(Connection con, @Set String modifier, String id) throws SQLException;

    @UpdateWith
    int update(Connection con, CollectDevice collectDevice)throws SQLException;

    @SelectOne
    @Nullable
    CollectDevice query(Connection con, String id) throws SQLException;

    @PageSelect
    @Where("active = '1'")
    PageQueryResult<CollectDevice> pageQuery(Connection con, @Nullable String serverId, @Nullable String code) throws SQLException;
}
